void printi(int val);
void printstr(char *str);

int _strlen(char *s)
{
  int len;
  for (len = 0; s[len]; len++)
    ;
  return len;
}

int main()
{
  int len;
  char *str = "abcdefg";

  len = _strlen(str);
  printi(len);
  printstr(str);

  return 0;
}
